umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::AutoLayoutState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| AutoLayoutState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Public Attributes
bool | autoDotPath
| determine path to dot executable automatically
QString | dotPath
| path to dot executable
bool | showExportLayout
| flag for display export layout

## Constructor & Destructor Documentation

## ◆ AutoLayoutState()

Settings::AutoLayoutState::AutoLayoutState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::AutoLayoutState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::AutoLayoutState::loadFromXMI | ( | QDomElement & | element | ) |

## ◆ save()

void Settings::AutoLayoutState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::AutoLayoutState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

## Member Data Documentation

## ◆ autoDotPath

bool Settings::AutoLayoutState::autoDotPath

determine path to dot executable automatically

## ◆ dotPath

QString Settings::AutoLayoutState::dotPath

path to dot executable

## ◆ showExportLayout

bool Settings::AutoLayoutState::showExportLayout

flag for display export layout

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp